Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.www.http
Class HttpEntityTag

    java.lang.Object
      |
      +--org.w3c.www.http.BasicValue
            |
            +--org.w3c.www.http.HttpEntityTag

public class HttpEntityTag
extends BasicValue

Fields inherited from class org.w3c.www.http.BasicValue
`isValid, raw, rlen, roff`

Constructor Summary
`HttpEntityTag()`

Method Summary
`java.lang.String` | `getTag()` Get this tag value.
`java.lang.Object` | `getValue()`
`protected void` | `invalidateByteValue()`
`boolean` | `isWeak()` Is this a weak entity tag ?
`protected void` | `parse()` parse the byte value as an entity tag.
`void` | `setTag(java.lang.String tag)` Set this tag value.
`void` | `setWeak(boolean onoff)` Set this tag weakness.
`protected void` | `updateByteValue()` Update the byte value to reflect any changes in the parsed value.

Methods inherited from class org.w3c.www.http.BasicValue
`addBytes, appendValue, checkByteValue, emit, error, setBytes, setString, toExternalForm, toString, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HttpEntityTag

    public HttpEntityTag()

Method Detail

### parse

    protected void parse()
                  throws HttpParserException

  parse the byte value as an entity tag.
  Throws:
    HttpParserException - if parsing failed.
  Overrides:
    parse in class BasicValue

### invalidateByteValue

    protected void invalidateByteValue()

  Overrides:
    invalidateByteValue in class BasicValue

### updateByteValue

    protected void updateByteValue()

  Update the byte value to reflect any changes in the parsed value.
  Overrides:
    updateByteValue in class BasicValue

### getValue

    public java.lang.Object getValue()

  Overrides:
    getValue in class BasicValue

### isWeak

    public boolean isWeak()

  Is this a weak entity tag ?
  Returns:
    A boolean true if the tag is weak.

### setWeak

    public void setWeak(boolean onoff)

  Set this tag weakness.
  Parameters:
    `onoff` - A boolean, tag is weak if true.

### getTag

    public java.lang.String getTag()

  Get this tag value.
  Returns:
    A String giving the entity tag value.

### setTag

    public void setTag(java.lang.String tag)

  Set this tag value.
  Parameters:
    `tag` - The new tag value.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD